OpenCV: cv::ml::SVM::Kernel Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::ml::SVM::Kernel Class Referenceabstract

`#include "ml.hpp"`

Inheritance diagram for cv::ml::SVM::Kernel:

## Public Member Functions
virtual void | calc (int vcount, int n, const float *vecs, const float *another, float *results)=0
virtual int | getType () const =0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ calc()

virtual void cv::ml::SVM::Kernel::calc | ( | int | vcount,
|  | int | n,
|  | const float * | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| pure virtual

## ◆ getType()

virtual int cv::ml::SVM::Kernel::getType | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- ml/include/opencv2/ml.hpp